Summary: 	Simple sticky notes applet for the Gnome Desktop.
Name: 		stickynotes_applet
Version: 	1.2.0
Release: 	0.fdr.2.rh90
Epoch:          0
URL: 		http://loban.caltech.edu/stickynotes/
License: 	GPL
Group: 		User Interface/Desktops
Source0:	http://loban.caltech.edu/stickynotes/packages/stickynotes_applet-1.2.0.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       gnome-panel
BuildRequires:	gtk2-devel >= 0:2.2.0
BuildRequires:	glib2-devel >= 0:2.2.0
BuildRequires:	libgnomeui-devel 
BuildRequires:	gnome-panel 
BuildRequires:	libgtop2-devel 
BuildRequires:	pango-devel
BuildRequires:	libbonoboui-devel
BuildRequires:  perl
BuildRequires:  gettext
BuildRequires:  gnome-applets
BuildRequires:  scrollkeeper
BuildRequires:  pkgconfig
BuildRequires:  atk-devel
BuildRequires:  libgnomecanvas-devel


%description
This is a simple applet to create, view, and manage sticky notes on the Gnome Desktop.

#---------------------------------------------------------------------

%prep
%setup -q

#---------------------------------------------------------------------

%build
%configure --disable-schemas-install
perl -pi -e 's/^(CFLAGS.*)-O1(.*)/$1\$\(RPM_OPT_FLAGS\)$2/' src/Makefile 
make %{?_smp_mflags}

#---------------------------------------------------------------------

%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf ${RPM_BUILD_ROOT}%{_localstatedir}/scrollkeeper

%find_lang %{name}

#---------------------------------------------------------------------

%clean
rm -rf ${RPM_BUILD_ROOT}

#---------------------------------------------------------------------

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/stickynotes.schemas > /dev/null
scrollkeeper-update -q

#---------------------------------------------------------------------

%postun
scrollkeeper-update -q

#---------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO  
%{_sysconfdir}/gconf/schemas/stickynotes.schemas
%{_libdir}/bonobo/servers/*
%{_libexecdir}/stickynotes_applet
%{_datadir}/gnome/help/%{name}
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/stickynotes
%{_datadir}/stickynotes

#----------------------------------------------------------------------------- 

%changelog
* Fri Jun 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.2.0-0.fdr.2
- Shortened summary.
- Added suggestion from Michael Schwendt so build respects RPM_OPT_FLAGS.

* Wed Jun 04 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.2.0-0.fdr.1
- Updated to 1.2.0.

* Wed May 28 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.0.11-0.fdr.6
- buildroot -> RPM_BUILD_ROOT.
- configure with --disable-schemas-install.
- Removed post/postun ldconfig.
- Tweaked BuildReqs.

* Tue Apr 01 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.0.11-0.fdr.5
- Added Epoch:0.
- Added missing BuildRequires.

* Thu Mar 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.0.11-0.fdr.4
- made use of  -f %{name}.lang in files.
- corrected typo when setting GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL.
- added scrollkeeper-update to postun.

* Sat Mar 08 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.0.11-0.fdr.3
- Spec file cleanup

* Wed Mar 05 2003 Phillip Compton <pcompton at proteinmedia dot com> 1.0.11-0.fdr.2
- Spec file cleanup

* Mon Feb 24 2003 Phillip Compton 
- Initial RPM release.
